%define major     2
%define libname   %mklibname dSFMT %{major}
%define develname %mklibname dSFMT -d

Name:           dSFMT
Version:        2.2.3
Release:        %mkrel 3
Summary:        Double precision SIMD-oriented Fast Mersenne Twister
Group:          System/Libraries

License:        BSD
URL:            http://www.math.sci.hiroshima-u.ac.jp/~%20m-mat/MT/SFMT/index.html
Source0:        http://www.math.sci.hiroshima-u.ac.jp/~%20m-mat/MT/SFMT/dSFMT-src-%{version}.tar.gz

Patch0:         dSFMT-%{version}_sharedlib.patch
Patch1:         dSFMT-%{version}_pkgconfig.patch
Patch2:         dSFMT-%{version}_exportfuns.patch

%description
The purpose of dSFMT is to speed up the generation by avoiding
the expensive conversion of integer to double (floating point).
dSFMT directly generates double precision floating point
pseudo-random numbers which have the IEEE Standard for Binary
Floating-Point Arithmetic (ANSI/IEEE Std 754-1985) format.

dSFMT is only available on the CPUs which use IEEE 754 format
double precision floating point numbers.

dSFMT doesn't support integer outputs.
dSFMT supports the output of double precision floating point
pseudo-random numbers which distribute in the range of
[1, 2), [0, 1), (0, 1] and (0, 1).
And it also supports the various periods form 2607-1 to 2132049-1.

%package -n %{libname}
Summary:    Double precision SIMD-oriented Fast Mersenne Twister
Group:		System/Libraries
Provides: 	%{name} = %{version}-%{release}

%description -n %{libname}
The purpose of dSFMT is to speed up the generation by avoiding
the expensive conversion of integer to double (floating point).
dSFMT directly generates double precision floating point
pseudo-random numbers which have the IEEE Standard for Binary
Floating-Point Arithmetic (ANSI/IEEE Std 754-1985) format.

dSFMT is only available on the CPUs which use IEEE 754 format
double precision floating point numbers.

dSFMT doesn't support integer outputs.
dSFMT supports the output of double precision floating point
pseudo-random numbers which distribute in the range of
[1, 2), [0, 1), (0, 1] and (0, 1).
And it also supports the various periods form 2607-1 to 2132049-1.

%package        -n %{develname}
Summary:        Development files for dSFMT
Requires:       %{name} = %{version}-%{release}
Provides:       dsfmt-devel = %{version}-%{release}

%description    -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package        -n %{develname}-doc
Summary:        Development documentation files for %{name}
BuildArch:      noarch

%description    -n %{develname}-doc
The %{develname}-doc package contains API documentation for
developing applications that use %{name}.

%prep
%setup -q -n dSFMT-src-%{version}
%patch0 -p 1
%patch1 -p 0
%patch2 -p 1

%build
make %{?_smp_mflags} \
     sharedlib \
     libdir=%{_libdir} CCFLAGS="-fPIC %{optflags} -fno-strict-aliasing"

%install
%make_install \
    DESTDIR=$RPM_BUILD_ROOT libdir=%{_libdir}

install -pm644 dSFMT.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/

%check
make std-check

%files -n %{libname}
%doc ./CHANGE-LOG.txt ./LICENSE.txt
%doc README.txt README.jp.txt
%{_libdir}/*.so.*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/dSFMT.pc
%{_includedir}/*.h

%files -n %{develname}-doc
%doc html/


%changelog
* Thu Feb 27 2020 daviddavid <daviddavid> 2.2.3-3.mga8
+ Revision: 1551009
- add -fno-strict-aliasing to CCFLAGS to build with GCC 9
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.2.3-2.mga7
+ Revision: 1297516
- Mageia 7 Mass Rebuild

* Tue Oct 17 2017 joequant <joequant> 2.2.3-1.mga7
+ Revision: 1172330
- imported package dSFMT

